# Flipsnack API

## Flipsnack API

- [API documentation](https://developers.flipsnack.com/master.md): Get up and running with Flipsnack public API
- [Getting started](https://developers.flipsnack.com/getting-started.md)
- [API status codes](https://developers.flipsnack.com/api-status-codes.md)
- [API limitations](https://developers.flipsnack.com/api-limitations.md): All users with valid Enterprise accounts can access the Flipsnack API.
- [How to get an API key](https://developers.flipsnack.com/how-to-get-an-api-key.md): API keys are available only for valid Enterprise accounts.
- [How to sign a request](https://developers.flipsnack.com/how-to-sign-a-request.md): All requests to Flipsnack API must contain an API key provided by us along with the signature of the request.
- [collection.create](https://developers.flipsnack.com/api-reference/api-method-collection.create.md): Uploads a single PDF document and creates a flipbook with a single item (flipbook).
- [collection.getCollection](https://developers.flipsnack.com/api-reference/api-method-collection.getcollection.md): Returns information about a flipbook. The information contains configuration parameters for the player and the list of flipbook items.
- [collection.update](https://developers.flipsnack.com/api-reference/api-method-collection.update.md): Updates the settings of an existing flipbook.
- [collection.getPermissions](https://developers.flipsnack.com/api-reference/collection.getpermissions.md): This method returns the private access permissions configured for a flipbook.
- [collection.setPermissions](https://developers.flipsnack.com/api-reference/collection.setpermissions.md): This method sets the private access permissions configured for a flipbook.
- [collection.deleteCollection](https://developers.flipsnack.com/api-reference/api-method-collection.deletecollection.md): Deletes the specified flipbook. Please note that you only have access to your own flipbooks.
- [collection.getEmbed](https://developers.flipsnack.com/api-reference/api-method-collection.getembed.md): Returns the embed code for a specified flipbook based on a set of embed parameters.
- [collection.getStats](https://developers.flipsnack.com/api-reference/api-method-collection.getstats.md): Returns the statistics for the specified flipbook.
- [collection.getList](https://developers.flipsnack.com/api-reference/api-method-collection.getlist.md): Returns a list of flipbooks belonging to your user.
- [collection.downloadHTML](https://developers.flipsnack.com/api-reference/api-method-collection.downloadhtml.md): Starts generating the download package and returns the progress status. When the status is complete it also returns the resource url.
- [user.getStats](https://developers.flipsnack.com/api-reference/api-method-user.getstats.md): Returns global statistics for your user.
- [zapier.getZapierLeadFormSample](https://developers.flipsnack.com/zapier/get-zapier-lead-form-sample.md): Returns information about lead form. The information contains sample data about your fields that might be used for integration.
- [products.create](https://developers.flipsnack.com/products/create.md): Create new products within flipsnack
- [products.update](https://developers.flipsnack.com/products/update.md): Update already existing product within flipsnack
- [products.delete](https://developers.flipsnack.com/products/delete.md): The automation.deleteProducts method allows external systems (such as a PIM or ERP) to remove products data directly from Flipsnack.
- [Orders](https://developers.flipsnack.com/webhooks/orders.md): Send product orders from catalogs directly to your internal systems using webhooks.
- [Contact forms](https://developers.flipsnack.com/webhooks/contact-forms.md): Send lead information from flipbooks directly to your internal systems using webhooks.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information, you can query the documentation dynamically by asking a question.
Perform an HTTP GET request on a page URL with the `ask` query parameter:
```
GET https://developers.flipsnack.com/master.md?ask=<question>
```
The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
